Robot Simulator of the Robotics Group for Self-Organization of Control: PullToPointOperator Class Reference

# PullToPointOperator Class Reference

An Operator for pulling the main primitive of a robot towards a point. More...

`#include <operators.h>`

Inherits lpzrobots::Operator.

Collaboration diagram for PullToPointOperator:
[legend]

List of all members.

## Public Types
enum | Dimensions { X = 1, Y = 2, Z = 4, XY = X | Y, XZ = X | Z, YZ = Y | Z, XYZ = X | Y | Z }
| defines which dimensions should be effected More...
## Public Member Functions
| PullToPointOperator (const Pos &point, double force, bool showPoint, Dimensions dim=XYZ, double minDist=0, double damp=0, bool confPos=false)
virtual ManipType | observe (OdeAgent *agent, GlobalData &global, ManipDescr &descr)
| called every simulation step
virtual void | notifyOnChange (const paramkey &key)
| Is called when a parameter was changes via setParam().
## Protected Attributes
Pos | point
double | force
bool | showPoint
Dimensions | dim
double | minDist
double | damp
double | px
double | py
double | pz

## Detailed Description

An Operator for pulling the main primitive of a robot towards a point.

## Member Enumeration Documentation

enum Dimensions

defines which dimensions should be effected

Enumerator:

  X |
  Y |
  Z |
  XY |
  XZ |
  YZ |
  XYZ |

## Constructor & Destructor Documentation

PullToPointOperator | ( | const Pos & | point,
|  | double | force,
|  | bool | showPoint,
|  | Dimensions | dim = `XYZ`,
|  | double | minDist = `0`,
|  | double | damp = `0`,
|  | bool | confPos = `false` |
| ) |  |  | `[inline]`

Parameters:

  | dim | dimensions along the force acts (also only these coordinates of point are considered) threshold for distance below which no force acts damping factor for movement of the robot whether to make the point configurable

## Member Function Documentation

void notifyOnChange | ( | const paramkey & | key | ) | `[virtual]`

Is called when a parameter was changes via setParam().

Note that it is not called of parameters of childs are changed, then there notifyOnChange() method is called. The key and of the changed parameter (use getParam() to retrieve its actual value). Overload this function when special actions have to be taken on parameter changes.

Reimplemented from Configurable.

Operator::ManipType observe | ( | OdeAgent * | agent,
|  | GlobalData & | global,
|  | ManipDescr & | descr |
| ) |  |  | `[virtual]`

called every simulation step

Returns:
  what was done with the robot

Implements Operator.

## Member Data Documentation

double damp`[protected]`

Dimensions dim`[protected]`

double force`[protected]`

double minDist`[protected]`

Pos point`[protected]`

double px`[protected]`

double py`[protected]`

double pz`[protected]`

bool showPoint`[protected]`

The documentation for this class was generated from the following files:

- operators.h
- operators.cpp